Create training template
curl --request POST \
--url https://console.neuronsearchlab.com/api/events/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"event_types": [
{
"id": 123,
"weight": 123
}
],
"thresholds": {
"per_signal_min": 123,
"total_min": 123
}
}
'import requests
url = "https://console.neuronsearchlab.com/api/events/templates"
payload = {
"name": "<string>",
"event_types": [
{
"id": 123,
"weight": 123
}
],
"thresholds": {
"per_signal_min": 123,
"total_min": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
event_types: [{id: 123, weight: 123}],
thresholds: {per_signal_min: 123, total_min: 123}
})
};
fetch('https://console.neuronsearchlab.com/api/events/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}Events
Create training template
POST
/
api
/
events
/
templates
Create training template
Authorizations
Platform API key issued from Console > Platform API Keys. Format: nsl__.
Body
application/json
Response
Created template
The response is of type object.
Was this page helpful?
⌘I

